[Testing Update] 2020-04-01 - Plasma 5.18.4.1, Breath2, Haskell, Python

Hello community,

here is another Testing Update for you:


all about our upcoming Laptop-LineUp by Tuxedo Computers now at LinuxUnplugged

Some feature-updates:

  • Plasma is now at 5.18.4.1
  • Our breath2 theme got updated
  • The usual upstream updates including Haskell and Python

If you like following latest Plasma development you may also like to check out our current version of manjaro-kde-dev, which we build on a regular basis against kde-git master packages. Also check out our current 19.0.2 ISOs and give us the needed feedback. You might also want to give our latest spin with NX-Desktop a try ...

As always we appreciate your input and feedback for the updates.


Upstream notice

Arch updated their default compression to zstd. We adopted to the same standard. More and more packages will have the zst extension from now on. If you get for what ever reason an error with ZSTD not supported as archive format you can do this:

sudo pacman -Syy
sudo pacman -S pacman-static
sudo pacman-static -Syyu

Our current supported kernels

  • linux316 3.16.82
  • linux44 4.4.217
  • linux49 4.9.217
  • linux414 4.14.174
  • linux419 4.19.113
  • linux54 5.4.28
  • linux55 5.5.13
  • linux56 5.6.0
  • linux419-rt 4.19.106_rt45
  • linux54-rt 5.4.28_rt19

Package Changes (Wed Apr 1 07:04:42 CEST 2020)

  • testing community x86_64: 43 new and 40 removed package(s)
  • testing core x86_64: 1 new and 1 removed package(s)
  • testing extra x86_64: 50 new and 50 removed package(s)
  • testing multilib x86_64: 1 new and 1 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-03-31           2020-04-01
-------------------------------------------------------------------------------
                 breath2-icon-themes              1.0.6-1              1.0.7-1
                   breath2-wallpaper              1.0.6-1              1.0.7-1
              plasma5-themes-breath2              1.0.6-1              1.0.7-1
                  sddm-breath2-theme              1.0.6-1              1.0.7-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-03-31           2020-04-01
-------------------------------------------------------------------------------
                                blop              0.2.8-3              0.2.8-4
                             cadence              0.9.1-1              0.9.1-2
                                code             1.43.2-1             1.43.2-2
                               dhall            1.30.0-29             1.31.0-1
                          dhall-bash            1.0.28-32             1.0.29-1
                          dhall-json             1.6.2-30              1.6.3-1
                          diffoscope                137-1                138-1
                              fcitx5     0.0.0.20200326-1     0.0.0.20200331-1
               fcitx5-chinese-addons     0.0.0.20200325-1     0.0.0.20200331-1
                           git-annex        8.20200309-39         8.20200330-1
                       git-latexdiff              1.4.0-1              1.6.0-1
                           glusterfs              1:7.3-1              1:7.4-1
                   haskell-esqueleto              3.3.2-6            3.3.3.0-1
                      haskell-hakyll          4.13.2.0-37          4.13.2.0-38
                       haskell-hslua           1.0.3.2-25              1.1.0-1
         haskell-hslua-module-system             0.2.1-33             0.2.1-34
           haskell-hslua-module-text             0.2.1-42             0.2.1-43
                   haskell-tasty-lua              0.2.2-8              0.2.2-9
                            pam-krb5                4.8-1                4.9-1
                              pandoc            2.9.2.1-2            2.9.2.1-3
                     pandoc-citeproc              0.17-61              0.17-62
                     pandoc-crossref           0.3.6.2-58           0.3.6.2-59
               python-django-appconf              1.0.3-1              1.0.4-1
                 python-oslo-context              3.0.0-3              3.0.1-1
                     python-oslotest              4.0.0-1              4.1.0-1
                        python-txaio             20.3.1-1             20.4.1-1
              qt5-ukui-platformtheme              1.0.0-1              1.0.1-1
                          shellcheck            0.7.0-207            0.7.0-208
                             shotcut           20.02.17-1           20.02.17-2
                            sonic-pi              3.2.1-1              3.2.1-2
                    telegram-desktop              2.0.0-1              2.0.1-1
                            termdown             1.16.0-2             1.16.0-3
                        vim-nerdtree              6.4.3-1              6.4.4-1
                             weechat              2.7.1-1                2.8-1
                               yosys                0.9-2                0.9-3
              yubikey-touch-detector              1.5.0-1              1.5.1-1
              python-google-api-core                    -             1.16.0-1
     python-googleapis-common-protos                    -             1.51.0-1
                                 vtr                    -              8.0.0-2


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-03-31           2020-04-01
-------------------------------------------------------------------------------
                             openssl            1.1.1.e-1            1.1.1.f-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-03-31           2020-04-01
-------------------------------------------------------------------------------
                           bluedevil           1:5.18.3-1         1:5.18.4.1-1
                              breeze             5.18.3-1           5.18.4.1-1
                         breeze-grub             5.18.3-1           5.18.4.1-1
                          breeze-gtk             5.18.3-1           5.18.4.1-1
                            chromium      80.0.3987.149-1      80.0.3987.162-1
                            discover             5.18.3-1           5.18.4.1-1
                             drkonqi             5.18.3-1           5.18.4.1-1
                       gnome-desktop           1:3.36.0-1           1:3.36.1-1
                   kactivitymanagerd             5.18.3-1           5.18.4.1-1
                       kde-cli-tools             5.18.3-1           5.18.4.1-1
                      kde-gtk-config             5.18.3-1           5.18.4.1-1
                         kdecoration             5.18.3-1           5.18.4.1-1
                    kdeplasma-addons             5.18.3-1           5.18.4.1-1
                             kgamma5             5.18.3-1           5.18.4.1-1
                            khotkeys             5.18.3-1           5.18.4.1-1
                         kinfocenter             5.18.3-1           5.18.4.1-1
                           kmenuedit             5.18.3-1           5.18.4.1-1
                          knetattach             5.18.3-1           5.18.4.1-1
                             kscreen             5.18.3-1           5.18.4.1-1
                       kscreenlocker             5.18.3-1           5.18.4.1-1
                         ksshaskpass             5.18.3-1           5.18.4.1-1
                           ksysguard             5.18.3-1           5.18.4.1-1
                         kwallet-pam             5.18.3-1           5.18.4.1-1
                kwayland-integration             5.18.3-1           5.18.4.1-1
                                kwin             5.18.3-1           5.18.4.1-1
                             kwrited             5.18.3-1           5.18.4.1-1
                          libkscreen             5.18.3-1           5.18.4.1-1
                        libksysguard             5.18.3-1           5.18.4.1-1
                             librsvg           2:2.48.1-1           2:2.48.2-1
                               meson             0.54.0-1             0.54.0-2
                               milou             5.18.3-1           5.18.4.1-1
                              oxygen             5.18.3-1           5.18.4.1-1
          plasma-browser-integration             5.18.3-1           5.18.4.1-1
                      plasma-desktop             5.18.3-1           5.18.4.1-1
                  plasma-integration             5.18.3-1           5.18.4.1-1
                           plasma-nm             5.18.3-1           5.18.4.1-1
                           plasma-pa             5.18.3-1           5.18.4.1-1
                          plasma-sdk             5.18.3-1           5.18.4.1-1
                  plasma-thunderbolt             5.18.3-1           5.18.4.1-1
                        plasma-vault             5.18.3-1           5.18.4.1-1
              plasma-wayland-session             5.18.3-1           5.18.4.1-1
                    plasma-workspace             5.18.3-1           5.18.4.1-1
         plasma-workspace-wallpapers             5.18.3-1           5.18.4.1-1
                    polkit-kde-agent             5.18.3-1           5.18.4.1-1
                          powerdevil             5.18.3-1           5.18.4.1-1
                                 re2         1:20200303-1         1:20200401-1
                            sddm-kcm             5.18.3-1           5.18.4.1-1
                      systemsettings             5.18.3-1           5.18.4.1-1
                        user-manager             5.18.3-1           5.18.4.1-1
              xdg-desktop-portal-kde             5.18.3-1           5.18.4.1-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-03-31           2020-04-01
-------------------------------------------------------------------------------
                       lib32-librsvg             2.48.1-1             2.48.2-1
  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

6 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed

Older issues

HP Device Manager


Pamac stuck at "Preparing..."

Users have reported issues with the recent release candidate of Pamac 9.4.0 when initiating transactions, being stuck at "Preparing..." without being able to cancel the transaction and quit Pamac normally.

For now, it is recommended to use pacman to do package management until this issue is solved and Pamac become usable again. Please test out upcoming updates for Pamac to see if the issue becomes solved or not.

If you are stuck in "Preparing...", you will have to manually kill the pamac-managerprocess.

Reported on Gitlab:
https://gitlab.manjaro.org/applications/pamac/issues/757

Upgrading firewalld package to 0.8.1-2 requires manual intervention

Please read this announcement if you have file conflicts when trying to upgrade firewalld package to 0.8.1-2.

Firewalld requires manual intervention

khotkeys identified as an orphaned package

You can remove that package, but might loose some functionality with your key-bindings. We made it now optional to be installed.


Weird font glitches (see screenshots below).

If you have weird glitches like below...

Screenshots

Screenshot%20from%202020-01-16%2023-59-49
string3
strings%20mismatch
post%20transaction%20hooks

... have you tried turning it off and on again?

More seriously, so far, people that reported to have such issue noticed that the problem goes away at next boot.


Installing xorgproto (2019.2-2) breaks dependency of a package

If you run into an issue because of xorgproto please DON'T follow the Arch suggestion as Manjaro uses the xorgproto-transfer package to make this automatic. If you have an issue, please report and wait for an update from us!

AUR Rebuilds required after updating python 3.7 to 3.8

Packages that depend on python from the AUR will need to be rebuilt after everything else has been updated. You can rebuild some of them with the following:

sudo pacman -S --needed --noconfirm expac yay
yay -S --rebuildtree $(pacman -Qmq $(expac %N python))

You can find other packages that need to be rebuilt by looking at the folders/files in

/usr/lib/python3.7/site-packages/

To find out what package owns a folder/file in that, you can use the following:

pacman -Qo folder_or_filename

If no package owns a file, it can probably be ignored.


System Settings and kinfocenter crash when entering Night Color settings randomly

Remove entire [NightColor] section of ~/.config/kwinrc
No solution yet ─ please edit as soon as a workaround is found.

xfce4-power-manager does not open / upower fails

Install kernel 4.14 or higher (4.14, 4.19, 5.2 [EOL], 5.3)

There is an issue with upower 0.99.11-1 on kernels 4.4 and 4.9.


xfce4-terminal / guake / gnome-terminal does not open

Update to vte3 0.58.2-1 or install kernel 4.14 or higher (4.14, 4.19, 5.2 [EOL], 5.3)

There is an issue with vte3 0.58.1-1 on kernels 4.4 and 4.9.


Replace linux52 with community/linux-latest ?

linux52 is EOL and has been removed from the repositories. It will be replaced by a metapackage which will from now on keep you on a maintained kernel.

If you want to keep the old kernel and modules then include them in your pacman.conf's IgnorePkg.


Pamac-Qt is not compatible to 9.0 API of Pamac

Pamac Qt 0.3 pre-RC: Towards the release, needs help in testing


gnome-shell-extension-desktop-icons

the pkgver 19.10.1 ship with an hook to remove the capability from gnome-shell. A message is present during install but essentially you need to reboot the system to show correctly the icons in the desktop. More info here

@philm
linux5.6.0-2 cold start

output from: journalctl -b -9 -k
...
BUG: kernel NULL pointer dereference, address: 0000000000000026
Mär 31 16:18:24 Horizen kernel: #PF: supervisor read access in kernel mode
Mär 31 16:18:24 Horizen kernel: #PF: error_code(0x0000) - not-present page
...

have you completely lost your minds it was bad enough 3 updates on the 27th, but now 4 in under 24 hours. At this rate something is going to get missed, something is going to break, and that something is not going to be small.
:sweat_smile: :rofl: :joy: :sweat_smile: :rofl: :joy:

First of all ssshhh. Second, we had a bug on our infrastructure so that when Manjaro ARM or Manjaro x64 did a snap both systems got updated. This should be fixed now. Today's update is a regular one.

3 Likes

No apparent issues here with either linux419 or linux56. I don't foresee Plasma 5.18.4 causing anyone issues updating from within plasma environment this time. There's very few changes to the DE. It worked fine here running pacman in Yakuake, I didn't use pamac because I had yesterday's updates to apply too and some were for that.

You SSSHHH!!! I didn't actually ask a question otherwise there would of been a question-mark in my post. Second that silll leaves yesterday and the 27th that had 3 sets of updates each. That kind of update frequency will lead to breakage.

sssssshhh :).

1 Like

Kernel 5.6.2 is out today :smiley:

2 Likes

commit 7b86b8d18e494763ae4b5153a1596da4c2ff6b3c
Author: Greg Kroah-Hartman
Date: Wed Apr 1 10:58:19 2020 +0200

Linux 5.6.1

It's been out for almost 30 minutes, why isn't it available yet for manjaro? :wink:

3 Likes

Absolutely unacceptable delay. Manjaro is not rolling release what a joke. /s

1 Like

Becouse it is Not on the Arch Repository :wink:

that doesn't matter, philm builds kernels from source

1 Like

Ah okay nice :slight_smile:

The only thing was in KDE desktop.. all plasmoids or widgets and background wallpaper went gone.. I checked the rest was normal ( Theme, Plasma type, Icons, windows) --- I had to add up my regular widgets and my wallpaper background.

The system is running good here in KDE.

Well, you commented - I answered. Anyway, even if you don't like it, here some more packages. Mostly kernels and Gnome-Shell extensions:

:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-03-31           2020-04-01
-------------------------------------------------------------------------------
  gnome-shell-extension-appindicator                 32-1                 33-1
      gnome-shell-extension-arc-menu        1:44+Stable-2        1:44+Stable-3
 gnome-shell-extension-dash-to-panel     v29+8+gbd32412-1     v31+5+g769a484-1
      gnome-shell-extension-gamemode      4.r2.ge7cd644-1      4.r5.g03d73fb-1
     gnome-shell-extension-gsconnect                 34-1                 36-1
gnome-shell-extension-nightshellswitcher 13.r3.gb3d390c-1     17.r1.g6cd0fd2-1
gnome-shell-extension-nightthemeswitcher 19.r2.g64ca2a4-1     21.r0.ge29cd0d-1
         gnome-shell-extension-unite     36.r1.gbe95d5a-1     37.r5.g2948e5f-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-03-31           2020-04-01
-------------------------------------------------------------------------------
                      acpi_call-dkms            1.1.0-286            1.1.0-287
                                asar              3.0.2-1              3.0.3-1
                 profile-sync-daemon               6.36-1               6.36-2
     python-google-api-python-client              1.8.0-1              1.8.0-2
         v2ray-domain-list-community       202003311036-1       202004010928-1
                         v2ray-geoip       202003250001-1       202004010001-1
                          virtualbox              6.1.4-3              6.1.4-5
                  virtualbox-ext-vnc              6.1.4-3              6.1.4-5
               virtualbox-guest-dkms              6.1.4-3              6.1.4-5
              virtualbox-guest-utils              6.1.4-3              6.1.4-5
          virtualbox-guest-utils-nox              6.1.4-3              6.1.4-5
                virtualbox-host-dkms              6.1.4-3              6.1.4-5
                      virtualbox-sdk              6.1.4-3              6.1.4-5
              vim-coverage-highlight                    -              3.0.1-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-03-31           2020-04-01
-------------------------------------------------------------------------------
                             linux56              5.6.0-2              5.6.1-1
                     linux56-headers              5.6.0-2              5.6.1-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-03-31           2020-04-01
-------------------------------------------------------------------------------
                              gnutls             3.6.12-1             3.6.13-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-03-31           2020-04-01
-------------------------------------------------------------------------------
                                 ldb            1:2.0.8-1            1:2.0.9-1
                         libwbclient             4.11.6-1             4.11.7-1
                   linux54-acpi_call             1.1.0-33             1.1.0-34
                    linux54-bbswitch               0.8-33               0.8-34
                 linux54-broadcom-wl      6.30.223.271-33      6.30.223.271-34
                 linux54-ndiswrapper              1.62-33              1.62-34
                linux54-nvidia-340xx           340.108-25           340.108-26
                linux54-nvidia-390xx           390.132-33           390.132-34
                linux54-nvidia-418xx           418.113-33           418.113-34
                linux54-nvidia-430xx            430.64-33            430.64-34
                linux54-nvidia-435xx            435.21-33            435.21-34
                linux54-nvidia-440xx             440.64-7             440.64-8
                    linux54-nvidiabl              0.88-33              0.88-34
                       linux54-r8168          8.048.00-18          8.048.00-19
                   linux54-rtl8723bu          20200126-15          20200126-16
                    linux54-tp_smapi              0.43-33              0.43-34
                 linux54-vhba-module          20200106-18          20200106-19
    linux54-virtualbox-guest-modules              6.1.4-9             6.1.4-10
     linux54-virtualbox-host-modules              6.1.4-9             6.1.4-10
                         linux54-zfs             0.8.3-17             0.8.3-18
                   linux55-acpi_call             1.1.0-16             1.1.0-17
                    linux55-bbswitch               0.8-16               0.8-17
                 linux55-broadcom-wl      6.30.223.271-16      6.30.223.271-17
                 linux55-ndiswrapper              1.62-16              1.62-17
                linux55-nvidia-340xx           340.108-10           340.108-11
                linux55-nvidia-390xx           390.132-16           390.132-17
                linux55-nvidia-418xx           418.113-17           418.113-18
                linux55-nvidia-430xx            430.64-17            430.64-18
                linux55-nvidia-435xx            435.21-17            435.21-18
                linux55-nvidia-440xx             440.64-9            440.64-10
                    linux55-nvidiabl              0.88-17              0.88-18
                       linux55-r8168          8.048.00-17          8.048.00-18
                   linux55-rtl8723bu          20200126-17          20200126-18
                    linux55-tp_smapi              0.43-17              0.43-18
                 linux55-vhba-module          20200106-17          20200106-18
    linux55-virtualbox-guest-modules             6.1.4-11             6.1.4-12
     linux55-virtualbox-host-modules             6.1.4-11             6.1.4-12
                         linux55-zfs             0.8.3-14             0.8.3-15
                   linux56-acpi_call              1.1.0-1              1.1.0-2
                linux56-nvidia-340xx            340.108-1            340.108-2
                linux56-nvidia-390xx            390.132-1            390.132-2
                linux56-nvidia-418xx            418.113-1            418.113-2
                linux56-nvidia-430xx             430.64-1             430.64-2
                linux56-nvidia-435xx             435.21-1             435.21-2
                       linux56-r8168           8.048.00-1           8.048.00-2
                    linux56-tp_smapi               0.43-1               0.43-2
                 linux56-vhba-module           20200106-1           20200106-2
    linux56-virtualbox-guest-modules              6.1.4-1              6.1.4-2
     linux56-virtualbox-host-modules              6.1.4-1              6.1.4-2
                         linux56-zfs              0.8.3-1              0.8.3-2
                               samba             4.11.6-1             4.11.7-1
                           smbclient             4.11.6-1             4.11.7-1
                    linux56-bbswitch                    -                0.8-2


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-03-31           2020-04-01
-------------------------------------------------------------------------------
                 gnome-color-manager3.35.90+1+g98904208-1             3.36.0-1
                              gthumb              3.9.1-1              3.9.1-2
                               krita              4.2.9-1              4.2.9-2


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-03-31           2020-04-01
-------------------------------------------------------------------------------
                        lib32-gnutls             3.6.12-1             3.6.13-1
9 Likes

Aww, I see you managed to find a solution on compiling bbswitch for linux56, thanks!

Just FYI: building for the next kernel is also problematic:

build log for linux57
==> Starting build()...
make -C /usr/lib/modules/5.7.0-1-MANJARO/build M="$(pwd)" modules
make[1]: Entering directory '/usr/lib/modules/5.7.0-1-MANJARO/build'
  CC [M]  /tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.o
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:378:15: error: variable ‘bbswitch_fops’ has initializer but incomplete type
  378 | static struct proc_ops bbswitch_fops = {
      |               ^~~~~~~~
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:379:6: error: ‘struct proc_ops’ has no member named ‘proc_open’
  379 |     .proc_open   = bbswitch_proc_open,
      |      ^~~~~~~~~
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:379:20: warning: excess elements in struct initializer
  379 |     .proc_open   = bbswitch_proc_open,
      |                    ^~~~~~~~~~~~~~~~~~
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:379:20: note: (near initialization for ‘bbswitch_fops’)
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:380:6: error: ‘struct proc_ops’ has no member named ‘proc_read’
  380 |     .proc_read   = seq_read,
      |      ^~~~~~~~~
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:380:20: warning: excess elements in struct initializer
  380 |     .proc_read   = seq_read,
      |                    ^~~~~~~~
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:380:20: note: (near initialization for ‘bbswitch_fops’)
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:381:6: error: ‘struct proc_ops’ has no member named ‘proc_write’
  381 |     .proc_write  = bbswitch_proc_write,
      |      ^~~~~~~~~~
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:381:20: warning: excess elements in struct initializer
  381 |     .proc_write  = bbswitch_proc_write,
      |                    ^~~~~~~~~~~~~~~~~~~
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:381:20: note: (near initialization for ‘bbswitch_fops’)
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:382:6: error: ‘struct proc_ops’ has no member named ‘proc_lseek’
  382 |     .proc_lseek = seq_lseek,
      |      ^~~~~~~~~~
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:382:19: warning: excess elements in struct initializer
  382 |     .proc_lseek = seq_lseek,
      |                   ^~~~~~~~~
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:382:19: note: (near initialization for ‘bbswitch_fops’)
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:383:6: error: ‘struct proc_ops’ has no member named ‘proc_release’
  383 |     .proc_release= single_release
      |      ^~~~~~~~~~~~
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:383:20: warning: excess elements in struct initializer
  383 |     .proc_release= single_release
      |                    ^~~~~~~~~~~~~~
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:383:20: note: (near initialization for ‘bbswitch_fops’)
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c: In function ‘bbswitch_init’:
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:460:18: error: implicit declaration of function ‘proc_create’ [-Werror=implicit-function-declaration]
  460 |     acpi_entry = proc_create("bbswitch", 0664, acpi_root_dir, &bbswitch_fops);
      |                  ^~~~~~~~~~~
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:460:16: warning: assignment to ‘struct proc_dir_entry *’ from ‘int’ makes pointer from integer without a cast [-Wint-conversion]
  460 |     acpi_entry = proc_create("bbswitch", 0664, acpi_root_dir, &bbswitch_fops);
      |                ^
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c: In function ‘bbswitch_exit’:
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:490:5: error: implicit declaration of function ‘remove_proc_entry’ [-Werror=implicit-function-declaration]
  490 |     remove_proc_entry("bbswitch", acpi_root_dir);
      |     ^~~~~~~~~~~~~~~~~
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c: At top level:
/tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.c:378:24: error: storage size of ‘bbswitch_fops’ isn’t known
  378 | static struct proc_ops bbswitch_fops = {
      |                        ^~~~~~~~~~~~~
cc1: some warnings being treated as errors
make[2]: *** [scripts/Makefile.build:268: /tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8/bbswitch.o] Error 1
make[1]: *** [Makefile:1702: /tmp/makepkg/linux57-bbswitch/src/bbswitch-0.8] Error 2
make[1]: Leaving directory '/usr/lib/modules/5.7.0-1-MANJARO/build'
make: *** [Makefile:13: default] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

Seems we forgot to update linux54 and linux55 with the last update. So don't update those extramodules as of now. We might push another update to testing soon, to fix that.

To clarify
$ systemctl status systemd-modules-load --no-pager -l
● systemd-modules-load.service - Load Kernel Modules
Loaded: loaded (/usr/lib/systemd/system/systemd-modules-load.service; static; vendor pr
eset: disabled)
Active: failed (Result: exit-code) since Thu 2020-04-02 02:52:10 +10; 3min 50s ago
Docs: man:systemd-modules-load.service(8)
man:modules-load.d(5)
Process: 4757 ExecStart=/usr/lib/systemd/systemd-modules-load (code=exited, status=1/FAI
LURE)                                                                                        
Main PID: 4757 (code=exited, status=1/FAILURE)

Apr 02 02:52:10 reiwa systemd-modules-load[4757]: Failed to insert module 'vboxnetadp': Inva
lid argument                                                                                 
Apr 02 02:52:10 reiwa systemd-modules-load[4757]: Failed to insert module 'vboxnetflt': Inva
lid argument                                                                                 
Apr 02 02:52:10 reiwa systemd-modules-load[4757]: Failed to insert module 'vboxdrv': Invalid
argument                                                                                    
Apr 02 02:52:10 reiwa systemd-modules-load[4757]: Failed to insert module 'vboxnetadp': Inva
lid argument                                                                                 
Apr 02 02:52:10 reiwa systemd-modules-load[4757]: Failed to insert module 'vboxnetflt': Inva
lid argument                                                                                 
Apr 02 02:52:10 reiwa systemd-modules-load[4757]: Module 'nvidia' is blacklisted
Apr 02 02:52:10 reiwa systemd-modules-load[4757]: Module 'nvidia_drm' is blacklisted
Apr 02 02:52:10 reiwa systemd[1]: systemd-modules-load.service: Main process exited, code=ex
ited, status=1/FAILURE
Apr 02 02:52:10 reiwa systemd[1]: systemd-modules-load.service: Failed with result 'exit-cod
e'.                                                                                          
Apr 02 02:52:10 reiwa systemd[1]: Failed to start Load Kernel Modules.
1 Like

@bogdancovaciu something's happened to the icons on the application launcher after applying the Breath2 update and restarting. The right pinned application icons are still shown in Icons Only Task Manager. I have admittedly changed them from the defaults but not sure why they have been made File Manager icons. Workaround, remove and re-add to favourites.

image

Forum kindly sponsored by